Bug 18364 - [GTK] Buttons activated with the keyboard should be painted as clicked
Summary: [GTK] Buttons activated with the keyboard should be painted as clicked
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-08 07:19 PDT by Marco Barisione
Modified: 2010-10-11 15:44 PDT (History)
5 users (show)

See Also:


Attachments
Patch for this issue (2.42 KB, patch)
2010-10-09 12:24 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Barisione 2008-04-08 07:19:11 PDT
When activating a button with the keyboard it should be painted as pressed.
Comment 1 Jan Alonzo 2008-10-18 04:19:39 PDT
marco, pressed or focused? can you please confirm if this doesn't occur in ToT yet? 

cheersm
Comment 2 Martin Robinson 2010-10-08 18:31:20 PDT
I can confirm that tabbing to a button and pressing space does not cause the button to be shown as pressed. Compare the behavior that happens in Chromium or Firefox.
Comment 3 Martin Robinson 2010-10-09 12:24:57 PDT
Created attachment 70360 [details]
Patch for this issue
Comment 4 Gustavo Noronha (kov) 2010-10-11 14:14:00 PDT
Comment on attachment 70360 [details]
Patch for this issue

Cunning.
Comment 5 Martin Robinson 2010-10-11 14:21:00 PDT
Comment on attachment 70360 [details]
Patch for this issue

Clearing flags on attachment: 70360

Committed r69526: <http://trac.webkit.org/changeset/69526>
Comment 6 Martin Robinson 2010-10-11 14:21:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2010-10-11 15:44:59 PDT
http://trac.webkit.org/changeset/69526 might have broken GTK Linux 64-bit Debug
The following tests are not passing:
editing/selection/move-past-trailing-space.html
fast/css/shadow-multiple.html
fast/text/shadow-no-blur.html